from __future__ import annotations  # TODO: Remove if python requirement is >= 3.10
from typing import Any

from . import Serial
from ..database import db


class _PluginSetting(db.Model):
    __tablename__ = "plugin_setting"
    id = db.Column("id", Serial, primary_key=True)
    plugin: str = db.Column(db.String(30))
    name: str = db.Column(db.String(30), nullable=False)
    value: Any = db.Column(db.PickleType(protocol=4))
